{
    attributes = (
        {
            columnName = C_NAF; 
            externalType = VARCHAR2; 
            name = cNaf; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_DEB_VAL; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FIN_VAL; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_NAF; 
            externalType = VARCHAR2; 
            name = llNaf; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = SNAF_CODE; 
            externalType = VARCHAR2; 
            name = sNafCode; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cNaf, llNaf, dDebVal, dFinVal, sNafCode); 
    className = EOGenericRecord; 
    classProperties = (cNaf, llNaf, dDebVal, dFinVal, sNafCode); 
    externalName = NAF2; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (cNaf, lcNaf, llNaf, dDebVal, dFinVal, cNaf1, sNafCode); 
    }; 
    name = Naf2; 
    primaryKeyAttributes = (cNaf); 
}
